package net.wanji.common.tool.kafkatool;


import com.google.common.collect.Maps;
import org.apache.kafka.clients.KafkaClient;
import org.apache.kafka.clients.consumer.KafkaConsumer;

import java.util.Map;
import java.util.Properties;

public class KafkaUtil {

    //public static Producer<String,String> producer=null;
    public static KafkaConsumer<String, String> consumer=null;
    public static Properties properties;
    public static KafkaClient kafkaClient;


    public static void connect(Map<String,String> map) throws Exception{
        properties=new Properties();
        properties.put("bootstrap.servers", map.get("servers"));
        properties.put("group.id", map.get("groupId"));
        properties.put("enable.auto.commit", "false");
        properties.put("auto.commit.interval.ms", "1000");
        properties.put("key.deserializer", "org.apache.kafka.common.serialization.StringDeserializer");
        properties.put("value.deserializer", "org.apache.kafka.common.serialization.StringDeserializer");

        /*properties.put("retries",map.get("retries"));
        properties.put("batch.size",map.get("batch.size"));
        properties.put("linger.ms",map.get("linger.ms"));
        properties.put("max.request.size",map.get("request.size"));
        properties.put("compression.type",map.get("compression.type"));
        properties.put("buffer.memory",map.get("buffer.memory"));*/
        //producer=new KafkaProducer<String,String>(properties);
        consumer=new KafkaConsumer<String, String>(properties);
    }

    @SuppressWarnings("resource")
    public static boolean comsumeTopic(String topicName) {
        return consumer.listTopics().containsKey(topicName);
    }


    public static void main(String []arags){
        Map<String,String> param= Maps.newHashMap();
        param.put("servers","10.102.1.182:9092");
        param.put("groupId","cross_free_flow_speed");
        try {
            KafkaUtil.connect(param);
            System.out.println(KafkaUtil.comsumeTopic("cross_free_flow_speed"));
        }catch (Exception ex){
            ex.printStackTrace();
        }
    }

}
